package com.jwl.driver.server.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 支付表
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class OrderPayInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 支付流水号
     */
    @TableId("PAY_ID")
    private Long payId;

    /**
     * 购买的商品类型：1.购买会员，2.证件照上传，3.查询体检信息
     */
    @TableField("PURCHASE_PRODUCT_TYPE")
    private String purchaseProductType;

    /**
     * 购买商品主键标识
     */
    @TableField("PURCHASE_PRODUCT_ID")
    private String purchaseProductId;

    /**
     * 支付金额，单位元
     */
    @TableField("MONEY")
    private BigDecimal money;

    /**
     * 备注说明
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 支付类型(weCharPay,aLiPay)
     */
    @TableField("PAYMENT_TYPE")
    private String paymentType;

    /**
     * 具体的支付方式，例如微信的JSAPI,h5
     */
    @TableField("PAY_TYPE")
    private String payType;

    /**
     * 支付状态： 1:未支付 2：支付成功 3：支付失败
     */
    @TableField("PAY_STATUS")
    private Integer payStatus;

    /**
     * 预支付ID
     */
    @TableField("PREPAT_ID")
    private String prepatId;

    /**
     * 0:正常,1:已删除
     */
    @TableField("DELETE_STATUS")
    private Integer deleteStatus;

    /**
     * 支付的账号
     */
    @TableField("USER_ID")
    private Long userId;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 最近的更新时间
     */
    @TableField("UPDATE_TIME")
    private LocalDateTime updateTime;


}
